#!/bin/ash
#usage trackIntf.sh <ifname>

intf_id=$(cat /proc/net/lw-conf/if-tbl |grep $1 |awk '{print $1}')

if [ "${intf_id}" == "" ]; then
    echo "$1 is not exist in if-tbl" >>/var/log/messages
    exit 1
fi

status_str=$(cat /proc/net/lw-conf/if-tbl |grep "${intf_id} State: " | awk '{print $3}')

if [ ${status_str} == "0(UP)" ]; then
    error=0
elif [ ${status_str} == "1(DOWN)" ]; then
    error=1
else
    echo "unknown status ${status_str} in if-tbl for $1" >>/var/log/messages
    error=1
fi
    
exit $error
