#!/bin/ash
#usage trackTool.sh <tool(ping or arping ping6)> <src ifname> <dst ip> <vpn id>
if [ ${4} -gt 0 ]; then
    cmd_prefix="ip netns exec ns_${4}"
fi

if [ ${1} == "arping" ]; then
    recvPkt=$(${cmd_prefix} arping -D -I ${2} -c 1 -f ${3} |grep Received |awk '{print $2}')
elif [ ${1} == "ndisc6" ]; then
    recvData=$(${cmd_prefix} ndisc6 -1 -r 1 ${3} ${2} | grep "Target link-layer address")
    if [ "$recvData" == "" ]; then
        recvPkt=0
    else
        recvPkt=1
    fi
elif [ ${1} == "ping" ]; then
    recvPkt=$(${cmd_prefix} ping -I ${2} -c 1 -w 1 -f ${3} |grep received |awk '{print $4}')
elif [ ${1} == "ping6" ]; then
    recvPkt=$(${cmd_prefix} ping6 -I ${2} -c 1 -w 1 ${3} |grep received |awk '{print $4}')
else
    echo "Track script input tool is invalid" >>/var/log/messages
    exit 1
fi

if [ ${recvPkt} -eq 1 ]; then
    error=0
else
    error=1
fi
    
exit $error

